WordPress.org

Ready to get started?Download WordPress

Forums

404 error -- tinymce "bold/editor_plugin.js" - every time we write (4 posts)

  1. imagiscapeca
    Member
    Posted 6 years ago #

    Every time my site users write/edit posts/pages, tinymce generates a 404 error - missing:

    wp-includes/js/tinymce/plugins/bold/editor_plugin.js

    I Google-searched for that string, as well as for:

    allintext: "bold/editor_plugin js"

    I found no relevant results.

    I searched the innards of my website using PuTTY. I tried:

    grep -rl "bold/editor_plugin" public_html/blog/*

    No results

    grep -rl "bold\/editor_plugin" public_html/blog/*

    In case the / needed to be 'escaped', I added the \ before the /, but still: no results.

    grep -rl "editor_plugin" public_html/blog/*

    Lots of results, but none clearly relevant, except:

    /wp-includes/js/tinymce/tiny_mce_config.php
    I opened that file but could not find anything appropriate to change.

    I use WP SuperEdit. I checked the settings page on /wp-admin/plugins.php?page=superedit/superedit.php
    I could remove the bold button, but I need a bold button.

    editor_plugin.js is a file in several directories such as
    /wp-includes/js/tinymce/plugins/vipersvideoquicktags
    /wp-includes/js/tinymce/plugins/paste
    The file is different in these different plugins, so I can't just copy one of those plugins.

    I need the appropriate plugin to put in

    /wp-includes/js/tinymce/plugins/bold

    or to remove the call for that plugin

    but as I wrote, my Google search found no results.

    HELP!

  2. imagiscapeca
    Member
    Posted 6 years ago #

    I had found my tiny_mce_config.php page
    and noticed that 'bold' was listed as a plugin. Since bold is built into tiny_mce, I figure this call for bold as a plugin was unnecessary and the reason i was getting this 404 error, so I tried to remove it by editing the php file, but at first I only saw one instance of 'bold', which I thought I ought not remove:
    $mce_buttons = apply_filters('mce_buttons', array('bold', 'italic', 'strikethrough', 'separator', 'bullist', ....

    Now I see bold is also called as 'b' here:

    ` $valid_elements = 'p/-div[*],-strong/-b[*],-em/-i[*],-font[*],-ul[*],-ol[*],-li[*],*[*]';
    $valid_elements = apply_filters('mce_valid_elements', $valid_elements);

    and that the 'bold' I want to remove is called from:

    plugins : "<?php echo $plugins; ?>"

    I have no idea what $plugins refers to.
    I guess things with $ are environment variables or something, but ... CAN I EDIT THOSE? IF SO, WHERE?

    The plugins are listed in my tiny_mce_config.php page, but they are called from a database (not the wp plugins database), so I can't just delete the 'bold' one.

  3. Jess Planck
    Member
    Posted 6 years ago #

    Really hard to see how see how "bold" was added to your WordPress TinyMCE plugin configuration line.

    I know that WP Super Edit does load plugins dynamically and adds those to the lower init area and I try to add all the WP Super Edit plugins at the end so I don't conflict with other WordPress plugins that add editor buttons.

    I just took a look. It's an issue with WP Polls. On line 200:

    array_push($plugins, '-polls', 'bold');

    Should be:

    array_push($plugins, '-polls');

    Contacted WP Poll author.

  4. imagiscapeca
    Member
    Posted 6 years ago #

    i edited the wp-polls plugin as you suggested, and the sky did not fall.

Topic Closed

This topic has been closed to new replies.

About this Topic